package com.luowei.app_sb.service;

import com.luowei.app_sb.entity.Person_805Entity;
import com.luowei.app_sb.entity.Person_health_805Entity;
import com.luowei.app_sb.mapper.Person_805Mapper;
import com.luowei.app_sb.vo.PersonHealthVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class Person_805Service {
    //注入Person_805Mapper
    @Autowired
    Person_805Mapper person_805Mapper;
    public Person_805Entity selectPerson_805(String sfz_id){
        return person_805Mapper.selectPerson_805(sfz_id);
    }
    public int updatePerson_805(Person_805Entity person_805Entity){
        return person_805Mapper.updatePerson_805(person_805Entity);
    }
    public int insertPerson_805(Person_805Entity person_805Entity){
        return person_805Mapper.insertPerson_805(person_805Entity);
    }
    public int insertPerson_health_805Entity(Person_health_805Entity person_health_805Entity){
        return person_805Mapper.insertPerson_health_805(person_health_805Entity);
    }
    public PersonHealthVo selectPersonHealthVo(String sfz_id){
        return person_805Mapper.selectPersonHealthVo(sfz_id);
    }
}
